title: List Image Models keywords: - list image models - get - list - image - models # List Image Models Get a list of available image generation and manipulation models. #### Query Parameters **`provider`** string optional The provider parameter. **`capability`** string optional The capability parameter. ## Returns A JSON object with the operation result. Example ```bash cURL curl -X GET "https://api.aitronos.com/v1/images/models" \ -H "X-API-Key: $FREDDY_API_KEY" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.get( "https://api.aitronos.com/v1/images/models", headers={"X-API-Key": api_key} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/images/models', { method: 'GET', headers: { 'X-API-Key': apiKey } }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "success": true } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ## Related Resources - [Generate Image](/docs/api-reference/images/generate)